Bug 1076441 - Python 3 as the Default Implementation
Summary: Python 3 as the Default Implementation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Bara Ancincova
URL:
Whiteboard: ChangeAcceptedF21 ChangeAcceptedF22 S...
Keywords:
Depends On: F23PYTHON3 1194577 1247039 1247564 1247575 1247714 1249388 1251464 1251712 1251713
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 11:08 UTC by Jaroslav Reznik
Modified: 2016-09-29 11:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 11:12:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-03-14 11:08:58 UTC
This is a tracking bug for Change: Python 3 as the Default Implementation
For more details, see: http://fedoraproject.org//wiki/Changes/Python_3_as_Default

Up until now, Fedora has used Python 2 as the default Python implementation. This change proposes switching to Python 3. The details of the term "switching" are explained thoroughly in the Scope section.

Comment 1 Bara Ancincova 2014-08-26 20:40:51 UTC
Ahoj Slávku, 

could you please take a look at https://fedoraproject.org/wiki/Documentation_Development_Beat#Python and let me know if the release note is sufficient or what should I change/add/remove? 

Thank you, 

Bara

Comment 2 Bohuslav "Slavek" Kabrda 2014-08-28 13:01:56 UTC
(In reply to Barbora Ancincova from comment #1)
> Ahoj Slávku, 
> 
> could you please take a look at
> https://fedoraproject.org/wiki/Documentation_Development_Beat#Python and let
> me know if the release note is sufficient or what should I
> change/add/remove? 
> 
> Thank you, 
> 
> Bara

Hi,
so first of all, Python 3 is not the default implementation in F21. "Python 3 as a default" is a multirelease feature that will actually be implemented in F22, so that part should probably be removed altogether.
Second, there is still one thing being worked on that should be documented - our downstream solution of bundled setuptools and pip and the "ensurepip" module, which has been discussed on python-devel ML [1]. The current state is that it works, but we'll still be improving it, so I think it'll be best to document this at beta change freeze, when we'll stop working on improvements to the solution. At that point, I'll give you detailed info about the problem and our solution. Does that sound good?

Thanks!


[1] https://lists.fedoraproject.org/pipermail/python-devel/2013-December/000554.html

Comment 3 Bara Ancincova 2014-08-28 13:26:42 UTC
(In reply to Bohuslav "Slavek" Kabrda from comment #2)
> (In reply to Barbora Ancincova from comment #1)
> > Ahoj Slávku, 
> > 
> > could you please take a look at
> > https://fedoraproject.org/wiki/Documentation_Development_Beat#Python and let
> > me know if the release note is sufficient or what should I
> > change/add/remove? 
> > 
> > Thank you, 
> > 
> > Bara
> 
> Hi,
> so first of all, Python 3 is not the default implementation in F21. "Python
> 3 as a default" is a multirelease feature that will actually be implemented
> in F22, so that part should probably be removed altogether.

removed
 
> Second, there is still one thing being worked on that should be documented -
> our downstream solution of bundled setuptools and pip and the "ensurepip"
> module, which has been discussed on python-devel ML [1]. The current state
> is that it works, but we'll still be improving it, so I think it'll be best
> to document this at beta change freeze, when we'll stop working on
> improvements to the solution. At that point, I'll give you detailed info
> about the problem and our solution. Does that sound good?

yes :)

> 
> Thanks!

thank you

> 
> 
> [1]
> https://lists.fedoraproject.org/pipermail/python-devel/2013-December/000554.
> html

Comment 4 Jaroslav Reznik 2015-02-10 12:55:20 UTC
Retargeted to F23.

Comment 5 Jaroslav Reznik 2015-03-03 15:34:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Jan Kurik 2015-07-14 14:02:48 UTC
This message is a reminder that Fedora 23 Change Checkpoint: Completion deadline (testable) is on 2015-07-28 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule

Comment 7 Jan Kurik 2015-09-01 14:54:23 UTC
This message is a reminder that Fedora 23 Change Checkpoint: 100% Code Complete Deadline is on 2015-Sep-08 [1].

Expected bug state is ON_QA - Change has to be code complete and is possible to test it in the Beta release.

Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution.  It's important milestone as contingency plan may be put into effect if the Change that miss this deadline.

In case of any questions, don't hesitate to ask Wrangler (jkurik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/23/Schedule


Note You need to log in before you can comment on or make changes to this bug.